package com.uca;

import        com.uca.flights.TestFlight;
import        com.uca.bookings.TestBooking;
import        org.junit.jupiter.api.Test;
import        java.util.concurrent.Callable;
import static org.hamcrest.MatcherAssert.assertThat;
import static org.hamcrest.Matchers.*;


public class Tests
{
	@Test
	public static void testAll()
	{
		testFlights();
		testBookings();
	}

	public static void testFlights()
	{
		TestFlight.testCityId();
		TestFlight.testCity();
		TestFlight.testAirportId();
		TestFlight.testAirport();
		TestFlight.testCitiesAndCompany();
		TestFlight.testStep();
		TestFlight.testJump();
		TestFlight.testTrip();
		TestFlight.testTripBuilder();
		TestFlight.testFlightId();
		TestFlight.testCompany();
		TestFlight.testFlightIdGenerator();
		TestFlight.testFlightAndCompany();
	}

	public static void testBookings()
	{
		TestBooking.testCustomer();
		TestBooking.testPassenger();
		TestBooking.testBooking();
		TestBooking.testStates();
	}

}